### org.jfree.layouting.layouter.style.resolver.computed.border

# Class BorderWidthResolveHandler

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler`
  - - `org.jfree.layouting.layouter.style.resolver.computed.border.BorderWidthResolveHandler`

Implemented Interfaces:
  ResolveHandler

`public class BorderWidthResolveHandler`
`extends ConstantsResolveHandler`

Creation-Date: 11.12.2005, 22:20:16

Author:
  Thomas Morgner

  ## Constructor Summary

  `BorderWidthResolveHandler()`

  ## Method Summary

  `StyleKey[]`

  `getRequiredStyles()`
    This indirectly defines the resolve order.

  `protected CSSValue`

  `resolveValue(LayoutProcess process, LayoutElement currentNode, StyleKey key)`

  ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler

  `addNormalizeValue`, `addValue`, `getFallback`, `getRequiredStyles`, `lookupValue`, `resolve`, `resolveValue`, `setFallback`

## Constructor Details

### BorderWidthResolveHandler

    public BorderWidthResolveHandler()

## Method Details

### getRequiredStyles

    public StyleKey[] getRequiredStyles()

> This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
> Specified by:
>   getRequiredStyles in interface ResolveHandler
> Overrides:
>   getRequiredStyles in interface ConstantsResolveHandler
> Returns:
>   the array of required style keys.

### resolveValue

    protected CSSValue resolveValue(LayoutProcess process,
                                    LayoutElement currentNode,
                                    StyleKey key)

> Overrides:
>   resolveValue in interface ConstantsResolveHandler